> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a donation



## OpenAPI

````yaml delete /admin/donation/{donation_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donation/{donation_id}:
    delete:
      tags:
        - Donations
      summary: Remove a donation
      operationId: a9b404986521d97bed90e0620b02f7c0
      parameters:
        - name: donation_id
          in: path
          description: ID of the donation to be deleted
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Donation successfully deleted.
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donation successfully deleted.
                type: object
        '404':
          description: Donation not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donation not found.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````